%define _unpackaged_files_terminate_build 0
%define kr_doc_version 2.6

Summary:	Professional FTP daemon
Name:		proftpd
Version:	1.3.0kr
Release:	1
Epoch:		7
Copyright:	GPL
Group:		System Environment/Daemons
URL:		http://proftpd.oops.org/
Source0:	ftp://ftp.proftpd.org/distrib/source/%{name}-%{version}.tar.bz2

BuildRoot:	/var/tmp/%{name}-root
Provides:	ftpserver
Requires:	pam >= 0.74 chkconfig
Prereq:		fileutils
Conflicts:	wu-ftpd ncftpd beroftpd anonftp

%description
ProFTPD is a highly configurable FTP daemon for UNIX and UNIX-like
operating systems.  ProFTPD features virtual hosting, default root
directories, and a completely new (not based on other implementations)
source tree.

%description -l ko
ProFTPD UnixǴ Unix ȣȯ ý   FTP daemon ̸,  
 ȣƮ, ⺻ root direcctory ׸ Ϻϰ ο ҽ 
Ҹ ϰ ִ.

KR  쿡 Ĺ Ʋ humanreadable ġ time-limit ġ
Ǿ ִ. Ÿ ٸ ѱ  ⸦ Ѵٸ
http://proftpd.oops.org  ̿ϸ ȴ.

%package doc
Summary: ProFTPd Documents
Summary(ko): ProFTPd  ٷ
Group: Documentation

%description doc
This package includes proftpd documents, korean documents, and sample
configuration files. korean documents made by proftpd korean user group.

%description doc -l ko
 Ű proftpd , ѱ  , ׸   
 Ǿ ִ. ѱ   proftpd korean user group   
   Ǿ.

%prep
%setup -q -n %{name}-%{version}

tar xvfpz korean_docs-%{kr_doc_version}.tgz

find . -type d -exec chmod 755 {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir}/proftpd \
			--libexecdir=%{_libdir}/proftpd \
            --mandir=%{_mandir} \
            --localstatedir=%{_localstatedir}/run \
			--enable-dso \
            --enable-autoshadow \
            --enable-auth-pam \
            --enable-cap \
			--enable-ctrls \
            --enable-sendfile \
            --enable-ipv6 \
            --enable-buffer-size=8192 \
            --enable-pool-size=4096 \
            --with-shared=mod_ratio:mod_readme:mod_wrap:mod_tls:mod_ctrls_admin:mod_ifsession:mod_quotatab:mod_rewrite:mod_site_misc

%{__make} %{?_smp_mflags}

%install
if [ ! -d $RPM_BUILD_ROOT ] ; then
	mkdir -p $RPM_BUILD_ROOT
fi

%{__make} DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT%{_sbindir}
  ln -sf proftpd in.proftpd
  ln -sf proftpd in.ftpd)

install -m 755 contrib/xferstats.holger-preiss \
        $RPM_BUILD_ROOT%{_sbindir}/xferstats
install -m 755 contrib/ftpasswd  $RPM_BUILD_ROOT%{_bindir}/ftpasswd

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,logrotate.d}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ko/{man1,man8}
#mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5,man8}
mkdir -p $RPM_BUILD_DIR/proftpd-%{version}/init_script

install -m 644 contrib/dist/rpm/ftp.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/proftpd
pushd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
ln -sf proftpd ftp
popd

install -m 600 sample-korean/ftpusers $RPM_BUILD_ROOT%{_sysconfdir}/proftpd/ftpusers
install -m 644 sample-korean/welcome.msg $RPM_BUILD_ROOT%{_sysconfdir}/proftpd/welcome.msg
install -m 755 sample-korean/proftpd.init $RPM_BUILD_DIR/proftpd-%{version}/proftpd-standalone.init
install -m 644 sample-korean/xinetd.sample $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/proftpd
install -m 644 sample-korean/proftpd.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/proftpd

ln -sf /usr/share/doc/proftpd-doc-%{version} $RPM_BUILD_ROOT%{_sysconfdir}/proftpd/document

# remove english config file - by oops
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/proftpd/proftpd.conf

install -m 644 korean_docs-%{kr_doc_version}/Config_sample/proftpd.conf \
               $RPM_BUILD_ROOT%{_sysconfdir}/proftpd/proftpd.conf

%{__perl} -pi -e "s!#libdir#!%{_libdir}!g" $RPM_BUILD_ROOT%{_sysconfdir}/proftpd/proftpd.conf

# install man page
#install -m 644 src/ftpcount.1 $RPM_BUILD_ROOT%{_mandir}/man1/ftpcount.1
#install -m 644 src/ftpwho.1 $RPM_BUILD_ROOT%{_mandir}/man1/ftpwho.1
#install -m 644 src/xferlog.5 $RPM_BUILD_ROOT%{_mandir}/man1/xferlog.5
#install -m 644 src/ftpshut.8 $RPM_BUILD_ROOT%{_mandir}/man1/ftpshut.8
#install -m 644 src/proftpd.8 $RPM_BUILD_ROOT%{_mandir}/man1/proftpd.8

# install korean man page
install -m 644 korean_docs-%{kr_doc_version}/Man/*.1 \
               $RPM_BUILD_ROOT%{_mandir}/ko/man1/
install -m 644 korean_docs-%{kr_doc_version}/Man/*.8 \
               $RPM_BUILD_ROOT%{_mandir}/ko/man8/

rm -rf korean_docs-%{kr_doc_version}/Man

%post
if [ $1 = 0 ]; then
  #/sbin/chkconfig --add proftpd-standalone
  #/sbin/chkconfig --level 35 proftpd-standalone off
  if [ -f "%{_localstatedir}/run/proftpd/proftpd.scoreboard" ]; then
    rm -f %{_localstatedir}/run/proftpd/proftpd.scoreboard
  fi

  # for xinetd
  if [ -f "/sbin/chkconfig" ]; then
    /sbin/chkconfig proftpd off &> /dev/null
    /sbin/chkconfig proftpd on &> /dev/null
  fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig proftpd off &> /dev/null
   #/sbin/chkconfig --del proftpd-standalone
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/proftpd/proftpd.conf
#%config %attr(644,root,root) %{_sysconfdir}/proftpd/proftpd.conf.en
%config(noreplace) %{_sysconfdir}/proftpd/welcome.msg
%config(noreplace) %{_sysconfdir}/proftpd/ftpusers
%config %{_sysconfdir}/pam.d/proftpd
%{_sysconfdir}/pam.d/ftp
%config %{_sysconfdir}/logrotate.d/proftpd
#attr(644,root,root) %{_sysconfdir}/xinetd.d/proftpd-inetd
%attr(644,root,root) %{_sysconfdir}/xinetd.d/proftpd
#attr(755,root,root) %{_sysconfdir}/rc.d/init.d/proftpd-standalone
%attr(511,root,root)%{_sbindir}/proftpd
%attr(-,root,root)%{_sbindir}/in.proftpd
%attr(-,root,root)%{_sbindir}/in.ftpd
%attr(755,root,root)%{_bindir}/ftpcount
%attr(-,root,root)%{_bindir}/ftptop
%attr(-,root,root)%{_bindir}/ftpwho
%attr(-,root,root)%{_bindir}/ftpasswd
%attr(755,root,root)%{_sbindir}/ftpshut
%attr(755,root,root)%{_sbindir}/xferstats
%attr(755,root,root) %dir %{_localstatedir}/run/proftpd
%attr(-,root,man) %{_mandir}/man*/*
%attr(-,root,man) %{_mandir}/ko/man*/*

%dir %{_libdir}/proftpd
%{_libdir}/proftpd/*.so

%files doc
%defattr(-,root,root)
%doc COPYING INSTALL README README.Solaris2.5x README.PAM
%doc ChangeLog contrib korean_docs-%{kr_doc_version}
%doc sample-configurations/virtual.conf
%doc sample-configurations/anonymous.conf
%doc sample-configurations/complex-virtual.conf
%doc %{_sysconfdir}/proftpd/document
%doc doc/Configuration.html
%doc doc/Configuration.sgml
%doc doc/faq.html
%doc doc/license.txt
%doc doc/rfc/*
%doc proftpd-standalone.init

%changelog
* Sat Apr 29 2006 JoungKyun Kim <http://www.oops.org> 7:1.3.0-1
- update 1.3.0

* Tue Apr  5 2005 JoungKyun Kim <http://www.oops.org> 6:1.2.10-4
- fixed logrotate failed

* Tue Nov 16 2004 JoungKyun Kim <http://www.oops.org> 5:1.2.10-3
- added timing attch protect moduel mod_delay

* Sun Nov 14 2004 JoungKyun Kim <http://www.oops.org> 4:1.2.10-2
- fixed post/pre script

* Mon Sep  6 2004 JoungKyun Kim <http://www.oops.org> 3:1.2.10-1
- fixed cidr acl security patch
- rename pam configuration to proftpd from ftp

* Thu Jun  3 2004 JoungKyun Kim <http://www.oops.org> 2:1.2.9-4
- fixed cidr acl security patch

* Fri Mar 26 2004 JoungKyun Kim <http://www.oops.org> 1:1.2.9-3,6
- removed standalone init file

* Thu Feb 26 2004 JoungKyun Kim <http://www.oops.org> 1.2.9-3,5
- fixed path of ftpusers on pam file

* Sat Jan 10 2004 JoungKyun Kim <http://www.oops.org> 1.2.9-2,4
- added tls function

* Mon Nov 17 2003 JoungKyun Kim <http://www.oops.org> 1.2.9-1,3
- update 1.2.9

* Wed Sep 24 2003 JoungKyun Kim <http://www.oops.org> 1.2.7-7,2
- added official security patch (ascii-traslation bug)

* Wed May 14 2003 JoungKyun Kim <http://www.oops.org> 1.2.7-6kr,1
- modified xinetd script about change of xinetd 2.3.11

* Sat Mar  8 2003 JoungKyun Kim <http://www.oops.org> 1.2.7-5kr
- added sendfile option
- modified spec file
- removed doc packages

* Tue Jan 27 2003 JoungKyun Kim <http://www.oops.org> 1.2.7-4kr
- fixed miss print of month with magic cookie %t

* Tue Dec 17 2002 JoungKyun Kim <http://www.oops.org> 1.2.7-3kr
- added krtime patch

* Fri Dec 13 2002 JoungKyun Kim <http://www.oops.org> 1.2.7-2kr
- fixed segment fault bug of AnonPassType

* Fri Dec  6 2002 JoungKyun Kim <http://www.oops.org> 1.2.7-1kr
- update 1.2.7

* Mon Nov 25 2002 JoungKyun Kim <http://www.oops.org> 1.2.7rc3-1kr
- update 1.2.7rc3
- added ftptop

* Thu Oct 24 2002 JoungKyun Kim <http://www.oops.org> 1.2.7rc2-1kr
- update 1.2.7rc2
- update korean documents

* Sun Oct 13 2002 JoungKyun Kim <http://www.oops.org> 1.2.7rc1-2kr
- added 2002.10.13 patch of cvs
- patched korean message for ftpwho, ftpcount
- devided core and document packages

* Thu Oct  3 2002 JoungKyun Kim <http://www.oops.org> 1.2.7rc1-1kr
- update 1.2.7rc1

* Thu Sep  5 2002 JoungKyun Kim <http://www.oops.org> 1.2.6-1kr
- update 1.2.6

* Fri Aug 16 2002 JoungKyun Kim <http://www.oops.org>
- update 1.2.6rc2 1st package
- removed mod_sql module

* Wed Jul  3 2002 JoungKyun Kim <http://www.oops.org>
- update 1.2.6rc1 1st package
- update korean_doc 2.2
- added mod_sql module (with mysql)
- added mod_wrap module
- removed mod_quota (adjusted banilla package)

* Mon Jun 10 2002 JoungKyun Kim <http://www.oops.org>
- update 1.2.5 1st package

* Fri May 31 2002 JoungKyun Kim <http://www.oops.org>
- update 1.2.5rc3 1st package

* Tue May 14 2002 JoungKyun Kim <http://www.oops.org>
- update 1.2.5rc2 1st package
- update reference document
- add ftpasswd

* Wed Dec 19 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.5rc1 1st package

* Sat Nov 10 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.4 2st package
- modified init script
- added korean message in init script

* Sat Oct 20 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.4 stable version

* Fri Oct 19 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.3 stable version

* Wed Sep  5 2001 JoungKyun Kim <http://www.oops.org>
- 2th update 1.2.2
- added logrotate
- moved location of conf file to /etc/proftpd from /etc/proftpd/conf

* Sat Aug 18 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.2 stable version
- update korena_doc v2.0

* Mon Jul  3 2001 JoungKyun Kim <http://www.oops.org>
- modifed proftpd.conf

* Thu Jun 21 2001 JoungKyun Kim <http://www.oops.org>
- patched korean language in xferstats

* Thu Jun 21 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.2rc3
- patched no display magic cookie of timelimit

* Mon Jun 18 2001 JoungKyun Kim <http://www.oops.org>
- modified xferstats
- changed inetd file name to proftpd-inetd from ftp
- updated korean-doc

* Wed Jun 13 2001 JoungKyun Kim <http://www.oops.org>
- rebuild for 7.x

* Tue Apr 23 2001 JoungKyun Kim <http://www.oops.org>
- modified human readable patch in huge disk space

* Tue Apr 23 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.2rc2

* Tue Mar 27 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.2rc1
- fixed meta character problem

* Thu Mar  2 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.1 statable version

* Thu Mar  1 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.0 statable version

* Mon Feb 12 2001 JoungKyun Kim <http://www.oops.org>
- update 1.2.0rc3
- update korean_doc to 1.7

* Thu Aug  3 2000 JoungKyun Kim <http://www.oops.org>
- update 1.2.0rc2
- patched to prion no port error when upload

* Wed Jul 11 2000 JoungKyun Kim <http://www.oops.org>
- update 1.2.0rc1
- update korean_doc to version 1.6
- hide version number

* Mon Apr  3 2000 JoungKyun Kim <http://www.oops.org>
- update mod_quota module to v1.25
- modified default configuration value in proftpd.conf

* Wed Mar 29 2000 JoungKyun Kim <http://www.oops.org>
- update korean-doc v1.5
- modified proftpd.conf
- modified proftpd start script

* Wed Feb 24 2000 JoungKyun Kim <http://www.oops.org>
- updated mod_quota v1.24
- update korean-doc v1.4
- modified proftpd.conf

* Wed Jan 19 2000 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre10-1kr
- added AuthPAMAuthoritative directive in proftpd.conf
- updated korean-doc to 1.3

* Mon Dec 22 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre9-5kr
- added korean reference html file

* Mon Dec 21 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre9-4kr
- updated time-limit patch

* Mon Dec 20 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre9-3kr
- added mod_quota modules

* Mon Dec 20 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre9-2kr
- updated humanreadable patch
- added time-limit patch
- removed AuthPAMAuthoritative direction in proftpd.conf
- added UpTime, DownTime direction in proftpd.conf

* Wed Oct 27 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre9-1kr

* Wed Oct 13 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre8-2kr
- patched printed UID when excute ls command

* Tue Oct  5 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre8-1kr

* Wed Sep 29 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre7-3kr
- patch the name virtual host
- added undocumented reference in /etc/proftpd/document/Undocument.txt
  (MySQL, Bandwidth, DisplayReadme directive)

* Tue Sep 28 1999 JoungKyun Kim <http://www.oops.org>
- updated 1.2.0pre7-2kr
- human-readable patch (added Magic cookie %f, %P)
- modified conf file (added Ratio, Bandwidth, LsDefaultOption
  RootLogin directive)
- added korean_docs to /etc/proftpd/document/

* Sun Sep 24 1999 JoungKyun Kim <http://www.oops.org>
- version updated 1.2.0pre7-1kr

* Fri Sep 24 1999 JoungKyun Kim <http://www.oops.org>
- 1.2.0pre6-2kr
- buffer oeverflow bug patch for pre6
- 1999.9.24 CVS version

* Sun Sep 12 1999 JoungKyun Kim <http://www.oops.org>
- updated version 1.2.0pre6-1kr
- patch welcome.msg print
- added module mod_linuxprivs

* Sat Sep 11 1999 JoungKyun Kim <http://www.oops.org>
- updated version 1.2.0pre5-1kr
- added bandwidth control function

* Sun Sep  5 1999 JoungKyun Kim <http://www.oops.org>
- updated version 1.2.0pre4-1kr
- moved ftpusers to /etc/proftpd/conf from /etc
- same as version 1.2.0pre3-6kr

* Thu Sep  2 1999 JoungKyun Kim <http://www.oops.org>
- moved config file to /etc/proftpd/conf/proftpd.conf from /etc/proftpd.conf
- added korean documents
- modified option of english configuration file
- added auth's file of pam (/etc/ftpusers, /etc/pam.d/ftp)
- added mod_readme, mod_ratio
- changed startup mode to inetd from standalone

